Rapid7 Vulnerability & Exploit Database

Oracle WebLogic: CVE-2023-33201 : Critical Patch Update

Free InsightVM Trial No Credit Card Necessary
Watch Demo See how it all works
Back to Search

Oracle WebLogic: CVE-2023-33201 : Critical Patch Update

Severity
4
CVSS
(AV:L/AC:M/Au:N/C:P/I:P/A:P)
Published
07/05/2023
Created
04/29/2024
Added
04/25/2024
Modified
04/25/2024

Description

Bouncy Castle For Java before 1.74 is affected by an LDAP injection vulnerability. The vulnerability only affects applications that use an LDAP CertStore from Bouncy Castle to validate X.509 certificates. During the certificate validation process, Bouncy Castle inserts the certificate's Subject Name into an LDAP search filter without any escaping, which leads to an LDAP injection vulnerability.

Solution(s)

  • oracle-weblogic-apr-2024-cpu-12_2_1_4_0
  • oracle-weblogic-apr-2024-cpu-14_1_1_0_0

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;